import QtQuick 2.0
import Sailfish.Silica 1.0

Dialog {
    id: page
    Column {
        id: column

        width: page.width
        spacing: Theme.paddingLarge
        PageHeader {
            title: "UI Template"
        }
        Label {
            x: Theme.paddingLarge
            text: "Departure"
            color: Theme.secondaryHighlightColor
            font.pixelSize: Theme.fontSizeLarge
            anchors.horizontalCenter: parent.horizontalCenter
        }

        TextField {
            id: departureNameField
            x: Theme.paddingLarge
            text: sbbConnectionInfo.departureName;
            placeholderText: "Departure Station Name"
        }

        Label {
            x: Theme.paddingLarge
            text: "Arrival"
            color: Theme.secondaryHighlightColor
            font.pixelSize: Theme.fontSizeLarge
            anchors.horizontalCenter: parent.horizontalCenter
        }

        TextField {
            id: arrivalNameField
            x: Theme.paddingLarge
            text: sbbConnectionInfo.arrivalName;
            placeholderText: "Arrival Station Name"
        }

    }

    onDone: {
        if (result === DialogResult.Accepted) {
            sbbConnectionInfo.arrivalName = arrivalNameField.text
            sbbConnectionInfo.departureName = departureNameField.text
        }
    }
}
