#ifndef SBBCONNECTIONINFO_H
#define SBBCONNECTIONINFO_H

#include <QObject>
#include "sbbstation.h"

class SBBConnectionInfo : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString departureName READ getDepartureName NOTIFY departureNameChanged WRITE setDepartureName)
    Q_PROPERTY(QString arrivalName READ getArrivalName NOTIFY arrivalNameChanged WRITE setArrivalName)
public:
    explicit SBBConnectionInfo(QObject *parent = 0);

    SBBStation getDeparture() { return _departure; }
    SBBStation getArrival() { return _arrival; }

    QString getDepartureName() { return _departure.getName(); }
    QString getArrivalName() { return _arrival.getName(); }

    void setDepartureName(const QString& newName) { _departure.setName(newName); emit departureNameChanged(); }
    void setArrivalName(const QString& newName) { _arrival.setName(newName); emit arrivalNameChanged(); }

private:
    SBBStation _departure;
    SBBStation _arrival;

signals:
    void departureChanged();
    void arrivalChanged();
    void departureNameChanged();
    void arrivalNameChanged();

public slots:
    void refreshConnection();

};

#endif // SBBCONNECTIONINFO_H
